# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "maat"
version = "0.11.3"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "The Maat programming language -- Rust-native syntax for writing zero-knowledge proofs"
homepage = "https://github.com/maatlabs/maat"
readme = false
keywords = [
    "compiler",
    "maat",
    "zero-knowledge",
    "zk",
    "cryptography",
]
categories = [
    "compilers",
    "command-line-utilities",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/maatlabs/maat"
resolver = "2"

[[bin]]
name = "maat"
path = "src/main.rs"

[dependencies.ariadne]
version = "0.6"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.maat_ast]
version = "0.11.2"

[dependencies.maat_bytecode]
version = "0.11.2"

[dependencies.maat_codegen]
version = "0.11.2"

[dependencies.maat_errors]
version = "0.11.2"

[dependencies.maat_eval]
version = "0.11.2"

[dependencies.maat_lexer]
version = "0.11.2"

[dependencies.maat_module]
version = "0.11.2"

[dependencies.maat_parser]
version = "0.11.2"

[dependencies.maat_runtime]
version = "0.11.2"

[dependencies.maat_span]
version = "0.11.2"

[dependencies.maat_types]
version = "0.11.2"

[dependencies.maat_vm]
version = "0.11.2"

[dependencies.rustyline]
version = "18"
features = [
    "with-file-history",
    "derive",
]
